import { ISubtitleDecryptor } from "../models/ISubtitleDecryptor";
export declare class SubtitleDecryptor implements ISubtitleDecryptor {
    /**
     * The id of the subtitle, also what the decryption key is derived from.
     */
    id: number;
    /**
     * The initial vector.
     */
    iv: Uint8Array;
    /**
     * The encrypted data.
     */
    data: Uint8Array;
    constructor(id: number, iv: Uint8Array, data: Uint8Array);
    getAuxKey(count: number, modulo: number, start: number[]): Uint8Array;
    /**
     * Returns the key that's derived from the ID.
     */
    getKey(): Uint8Array;
    /**
     * Returns the decrypted data.
     */
    decrypt(): Uint8Array;
}
